## badwolf 1.0.2

=== Makefile ===
# POSIX-ish Makefile with extensions common to *BSD and GNU such as:
# - Usage of backticks for shell evaluation
# - Usage of ?= for defining variables when not already defined
# - Usage of += for appending to a variable

PACKAGE = Badwolf
VERSION = 1.0.2
VERSION_FULL = $(VERSION)`./version.sh`

PREFIX  ?= /usr
BINDIR  ?= $(PREFIX)/bin
MANDIR  ?= $(PREFIX)/share/man
DOCDIR  ?= $(PREFIX)/share/doc/badwolf-$(VERSION)
DATADIR ?= $(PREFIX)/share/badwolf
APPSDIR ?= $(PREFIX)/share/applications

CC        ?= cc
CFLAGS    ?= -g -Wall -Wextra -Wconversion -Wsign-conversion -O2
DBG       ?=
PKGCONFIG ?= pkg-config
MSGFMT    ?= msgfmt
INKSCAPE  ?= inkscape

# for i in 24 32 48 64 128 256; do echo icons/hicolor/${i}x${i}/apps/badwolf.png; done | tr '\n' ' '
ICON_SIZES = icons/hicolor/24x24/apps/badwolf.png icons/hicolor/32x32/apps/badwolf.png icons/hicolor/48x48/apps/badwolf.png icons/hicolor/64x64/apps/badwolf.png icons/hicolor/128x128/apps/badwolf.png icons/hicolor/256x256/apps/badwolf.png

DEPS  = gtk+-3.0 webkit2gtk-4.0 libsoup-2.4
SRCS  = uri.c uri_test.c keybindings.c downloads.c badwolf.c
OBJS  = uri.o keybindings.o downloads.o badwolf.o
OBJS_test = uri_test.o
EXE   = badwolf
EXE_test = uri_test
TRANS = fr.mo pt_BR.mo
DOCS  = usr.bin.badwolf README.md KnowledgeBase.md interface.txt

CDEPS = -DDATADIR=\"$(DATADIR)\" -DPACKAGE=\"$(PACKAGE)\" -D_XOPEN_SOURCE=500 -D_POSIX_C_SOURCE=200809L -DVERSION=\"$(VERSION_FULL)\"
CDEPS += `$(PKGCONFIG) --cflags $(DEPS)`
LIBS   = `$(PKGCONFIG) --libs $(DEPS)`

all: $(EXE) $(TRANS) po/messages.pot

icons: $(ICON_SIZES)

icons/hicolor/scalable/apps/badwolf.svg: badwolf.svg
	mkdir -p icons/hicolor/scalable/apps
	scour --no-line-breaks --enable-id-stripping --remove-metadata $< $@

icons/hicolor/%/apps/badwolf.png: icons/hicolor/scalable/apps/badwolf.svg
	mkdir -p `dirname $@`
	$(INKSCAPE) `echo $@ | cut -d/ -f3 | ./icons_size.sh` $< -o $@

po/messages.pot: $(SRCS)
	xgettext --keyword=_ --language=C --from-code=UTF-8 -o $@ --add-comments --sort-output --copyright-holder="Badwolf Authors <https://hacktivis.me/projects/badwolf>" --package-name="$(PACKAGE)" --package-version="$(VERSION_FULL)" --msgid-bugs-address="contact+badwolf-msgid@hacktivis.me" $(SRCS)

po/%.po: po/messages.pot
	msgmerge --update --backup=off $@ $<

${TRANS}: po/${@:.mo=.po}
	mkdir -p locale/${@:.mo=}/LC_MESSAGES
	$(MSGFMT) -o locale/${@:.mo=}/LC_MESSAGES/$(PACKAGE).mo po/${@:.mo=.po}

badwolf: $(OBJS)
	$(CC) -std=c11 -o $@ $(OBJS) $(LDFLAGS) $(LIBS)

.c:
	$(CC) -std=c11 $(CFLAGS) $(CDEPS) $(LDFLAGS) $(LIBS) -o $@ $<

.c.o:
	$(CC) -std=c11 $(CFLAGS) $(CDEPS) -c -o $@ $<

uri_test: uri.o uri_test.o
	$(CC) -std=c11 -o $@ uri.o uri_test.o $(LDFLAGS) $(LIBS)
	$(DBG) ./$@

.PHONY: test
test: $(EXE_test)

.PHONY: install
install: all
	mkdir -p $(DESTDIR)$(BINDIR)
	cp -p badwolf $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(MANDIR)/man1
	cp -p badwolf.1 $(DESTDIR)$(MANDIR)/man1
	mkdir -p $(DESTDIR)$(DATADIR)/locale
	cp -r locale/ $(DESTDIR)$(DATADIR)
	cp interface.css $(DESTDIR)$(DATADIR)
	mkdir -p $(DESTDIR)$(APPSDIR)
	cp -p badwolf.desktop $(DESTDIR)$(APPSDIR)/
	mkdir -p $(DESTDIR)$(DOCDIR)
	cp -p $(DOCS) $(DESTDIR)$(DOCDIR)/
	mkdir -p $(DESTDIR)$(PREFIX)/share
	cp -r icons $(DESTDIR)$(PREFIX)/share/
	@printf '\nNote: An example AppArmor profile has been installed at '$(DOCDIR)/usr.bin.badwolf'\n'

.PHONY: clean
clean:
	rm -fr locale $(OBJS) $(OBJS_test) $(EXE) $(EXE_test)

format: *.c *.h
	clang-format -style=file -assume-filename=.clang-format -i *.c *.h

=== debian/changelog ===
badwolf (1.0.2-1.0antix1) unstable; urgency=medium

  * antiX build

 -- anticapitalista <antix@operamail.com>  Tue, 18 Aug 2020 19:14:21 +0300

badwolf (1.0.2-1) unstable; urgency=medium

  * Initial release
  * Fix build problem (installing bin in wrong directory)
  * Changed to debian standard directory paths

 -- nXecure <not@telling.you>  Mon, 17 Aug 2020 13:18:04 +0200

=== debian/control ===
Source: badwolf
Section: web
Priority: optional
Maintainer: anticapitalista <anticapitalista@riseup.net>
Build-Depends: debhelper (>= 11), libsoup2.4-dev, libwebkit2gtk-4.0-dev
Standards-Version: 4.1.3
Homepage: https://hacktivis.me/projects/badwolf

Package: badwolf
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libwebkit2gtk-4.0-37
Description: badwolf web browser
 A minimalist and privacy-oriented WebKit browser

## badwolf 1.0.3

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # - Usage of += for appending to a variable
 
 PACKAGE = Badwolf
-VERSION = 1.0.2
+VERSION = 1.0.3
 VERSION_FULL = $(VERSION)`./version.sh`
 
 PREFIX  ?= /usr
@@ -24,13 +24,13 @@
 # for i in 24 32 48 64 128 256; do echo icons/hicolor/${i}x${i}/apps/badwolf.png; done | tr '\n' ' '
 ICON_SIZES = icons/hicolor/24x24/apps/badwolf.png icons/hicolor/32x32/apps/badwolf.png icons/hicolor/48x48/apps/badwolf.png icons/hicolor/64x64/apps/badwolf.png icons/hicolor/128x128/apps/badwolf.png icons/hicolor/256x256/apps/badwolf.png
 
-DEPS  = gtk+-3.0 webkit2gtk-4.0 libsoup-2.4
-SRCS  = uri.c uri_test.c keybindings.c downloads.c badwolf.c
-OBJS  = uri.o keybindings.o downloads.o badwolf.o
+DEPS  = gtk+-3.0 webkit2gtk-4.0 libsoup-2.4 libxml-2.0
+SRCS  = bookmarks.c uri.c uri_test.c keybindings.c downloads.c badwolf.c
+OBJS  = bookmarks.o uri.o keybindings.o downloads.o badwolf.o
 OBJS_test = uri_test.o
 EXE   = badwolf
 EXE_test = uri_test
-TRANS = fr.mo pt_BR.mo
+TRANS = fr.mo pt_BR.mo tr.mo
 DOCS  = usr.bin.badwolf README.md KnowledgeBase.md interface.txt
 
 CDEPS = -DDATADIR=\"$(DATADIR)\" -DPACKAGE=\"$(PACKAGE)\" -D_XOPEN_SOURCE=500 -D_POSIX_C_SOURCE=200809L -DVERSION=\"$(VERSION_FULL)\"
@@ -78,12 +78,14 @@
 .PHONY: install
 install: all
 	mkdir -p $(DESTDIR)$(BINDIR)
-	cp -p badwolf $(DESTDIR)$(BINDIR)
+	cp -p badwolf $(DESTDIR)$(BINDIR)/
 	mkdir -p $(DESTDIR)$(MANDIR)/man1
-	cp -p badwolf.1 $(DESTDIR)$(MANDIR)/man1
+	cp -p badwolf.1 $(DESTDIR)$(MANDIR)/man1/
 	mkdir -p $(DESTDIR)$(DATADIR)/locale
-	cp -r locale/ $(DESTDIR)$(DATADIR)
-	cp interface.css $(DESTDIR)$(DATADIR)
+	cp -r locale/ $(DESTDIR)$(DATADIR)/
+	cp interface.css $(DESTDIR)$(DATADIR)/
+	cp startpage.html $(DESTDIR)$(DATADIR)/
+	cp manage-favorites.sh $(DESTDIR)$(DATADIR)/
 	mkdir -p $(DESTDIR)$(APPSDIR)
 	cp -p badwolf.desktop $(DESTDIR)$(APPSDIR)/
 	mkdir -p $(DESTDIR)$(DOCDIR)

=== debian/changelog ===
badwolf (1.0.3-4) unstable; urgency=medium

  * Fix manage-favorites script. It properly saves links to Favorites now.
  * Made starpage.html look "cooler".
  * Search in startpage defaults to ddg, but google is also an option.

 -- nXecure <not@telling.you>  Tue, 27 Oct 2020 15:35:57 +0100

badwolf (1.0.3-3) unstable; urgency=medium

  * Now the script creates a folder in $HOME/.config/badwolf/
  * It will copy over the startpage.html the first time it launches.
  * Every new tab will open the startpage.html file.
  * Added a gui based on yad to manage favorite links.
  * You can edit favorite links with Control+b from inside badwolf

 -- nXecure <not@telling.you>  Sun, 25 Oct 2020 18:46:08 +0200

badwolf (1.0.3-2) unstable; urgency=medium

  * Added startpage.html for antiX release (thank PPC, he made it possible)

 -- nXecure <not@telling.you>  Sat, 17 Oct 2020 11:30:56 +0200

badwolf (1.0.3-1) unstable; urgency=medium

  * Updated to latest git version
  * Added new dependency libxml2

 -- nXecure <not@telling.you>  Sun, 04 Oct 2020 22:10:34 +0200

badwolf (1.0.2-2) unstable; urgency=medium

  * Updated to latest git version

 -- nXecure <not@telling.you>  Mon, 18 Aug 2020 22:05:15 +0200

## badwolf 1.4.0

=== debian/changelog ===
badwolf (1.4.0-1) unstable; urgency=medium

  * Bump package to upstream release version 1.4.0
  * Removed google search, favorites, and twitter from startpage.
  * Change Alt-D from `close tab` to `put cursor in address bar`

 -- Craig <craig@bodhilinux.com>  Thu, 14 Aug 2025 16:20:42 -0700

=== debian/control ===
Source: badwolf
Section: web
Priority: optional
Maintainer: craig@bodhilinux.com
Build-Depends:
 debhelper-compat ( = 13),
 ninja-build,
 libwebkit2gtk-4.1-dev | libwebkit2gtk-4.0-dev, 
 libxml2-dev, 
 ed
Standards-Version: 4.7.2
Homepage: https://hacktivis.me/projects/badwolf
Rules-Requires-Root: no

Package: badwolf
Architecture: any
Depends:
 ${misc:Depends},  ${shlibs:Depends},
 libwebkit2gtk-4.1-0 | libwebkit2gtk-4.0-0
Recommends:
 gstreamer1.0-gl
Provides: www-browser
Description: BadWolf is a minimalist and privacy-oriented WebKitGTK+ browser.
 No browser-level tracking, multiple ephemeral isolated sessions per new unrelated tabs, JavaScript off by default
 Small codebase (~1 500 LoC), reuses existing components when available or makes them available
 WebKitGTK native extensions, Interface customizable through CSS
 Stable User-Interface; The common shortcuts are available, no vi-modal edition or single-key shortcuts are used
 Dialogs are only used when required (save file, print, …), javascript popups open in a background tab

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_clean:
	touch config.ninja
	dh_clean
override_dh_auto_configure:
	./configure PREFIX=/usr
